#include"CVertexShader.h"


namespace Maid
{


void CVertexShader::ClearConstant()
{
	m_ConstF.clear();
}

void CVertexShader::SetConstantF( int pos, const VECTOR4DF& value )
{
	m_ConstF[pos] = value;
}

void CVertexShader::SetConstantF( int pos, const MATRIX4DF& m )
{
	SetConstantF( pos+0, m.GetRow(0) );
	SetConstantF( pos+1, m.GetRow(1) );
	SetConstantF( pos+2, m.GetRow(2) );
	SetConstantF( pos+3, m.GetRow(3) );
}


}

